Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package symtab
  Definition Classes
    nsc
-  package classfile
  Definition Classes
    symtab
-  abstract class ClassfileParser extends AnyRef

  This abstract class implements a class file parser.

  This abstract class implements a class file parser.

  Definition Classes
    classfile
  Version

    1.0

- ConstantPool
- InnerClassEntry
- LazyAliasType
- ThisConstantPool
- TypeParamsType
- innerClasses

c

scala.tools.nsc.symtab.classfile.ClassfileParser

# ConstantPool 

###

#### class ConstantPool extends AnyRef

Constructor of this class should not be called directly, use `newConstantPool` instead.

Attributes
  protected
Source
  ClassfileParser.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ConstantPool
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ConstantPool()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ConstantPool to any2stringadd[ConstantPool] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ConstantPool, B)
   Implicit
     This member is added by an implicit conversion from ConstantPool to ArrowAssoc[ConstantPool] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (ConstantPool) ⇒ Boolean, msg: ⇒ Any): ConstantPool
   Implicit
     This member is added by an implicit conversion from ConstantPool to Ensuring[ConstantPool] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (ConstantPool) ⇒ Boolean): ConstantPool
   Implicit
     This member is added by an implicit conversion from ConstantPool to Ensuring[ConstantPool] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): ConstantPool
    Implicit
      This member is added by an implicit conversion from ConstantPool to Ensuring[ConstantPool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): ConstantPool
    Implicit
      This member is added by an implicit conversion from ConstantPool to Ensuring[ConstantPool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def errorBadIndex(index: Int): Nothing

    Throws an exception signaling a bad constant index.

    Throws an exception signaling a bad constant index.

    Attributes
      protected
15.  def errorBadTag(start: Int): Nothing

    Throws an exception signaling a bad tag at given address.

    Throws an exception signaling a bad tag at given address.

    Attributes
      protected
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def firstExpecting(index: Int, expected: Int): Int
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ConstantPool to StringFormat[ConstantPool] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  def getBytes(indices: List[Int]): Array[Byte]
20.  def getBytes(index: Int): Array[Byte]
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  def getClassName(index: Int): (symbolTable)#Name

    Return the external name of the class info structure found at 'index'.

    Return the external name of the class info structure found at 'index'. Use 'getClassSymbol' if the class is sure to be a top-level class.

23.  def getClassOrArrayType(index: Int): (symbolTable)#Type

    Return the type of a class constant entry.

    Return the type of a class constant entry. Since arrays are considered to be class types, they might appear as entries in 'newarray' or 'cast' opcodes.

24.  def getClassSymbol(index: Int): (symbolTable)#Symbol
25.  def getConstant(index: Int): (symbolTable)#Constant
26.  def getConstant(index: Char): (symbolTable)#Constant
27.  def getExternalName(index: Int): (symbolTable)#Name

    Return the name found at given index in the constant pool, with '/' replaced by '.'.

28.  def getName(index: Int): (symbolTable)#Name

    Return the name found at given index.

29.  def getNameAndType(index: Int, ownerTpe: (symbolTable)#Type): ((symbolTable)#Name, (symbolTable)#Type)

    Return a name and a type at the given index.

    Return a name and a type at the given index. If the type is a method type, a dummy symbol is created in `ownerTpe`, which is used as the owner of its value parameters. This might lead to inconsistencies, if a symbol of the given name already exists, and has a different type.

    Attributes
      protected
30.  def getSuperClass(index: Int): (symbolTable)#Symbol
31.  def getType(sym: (symbolTable)#Symbol, index: Int): (symbolTable)#Type
32.  def getType(index: Int): (symbolTable)#Type
33.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
34.  val internalized: Array[(symbolTable)#Name]
    Attributes
      protected
35.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
36.  val len: Int
    Attributes
      protected
37.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  final def notify(): Unit
    Definition Classes
      AnyRef
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
40.  def recordAtIndex[T <: AnyRef](value: T, idx: Int): T
41.  val starts: Array[Int]
    Attributes
      protected
42.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
43.  def toString(): String
    Definition Classes
      AnyRef → Any
44.  val values: Array[AnyRef]
    Attributes
      protected
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
48.  def →[B](y: B): (ConstantPool, B)
    Implicit
      This member is added by an implicit conversion from ConstantPool to ArrowAssoc[ConstantPool] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ConstantPool to any2stringadd[ConstantPool]

### Inherited by implicit conversion StringFormat from ConstantPool to StringFormat[ConstantPool]

### Inherited by implicit conversion Ensuring from ConstantPool to Ensuring[ConstantPool]

### Inherited by implicit conversion ArrowAssoc from ConstantPool to ArrowAssoc[ConstantPool]

### Ungrouped